#
# spec file for package apache2-mod_dnssd
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
# Copyright (c) 2009 Dominique Leuenberger, Almere, The Netherlands.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%define _name   mod_dnssd
Name:           apache2-mod_dnssd
Version:        0.6
Release:        24.5
Summary:        Apache2 module for Zeroconf support via DNS-SD
License:        Apache-2.0
Group:          Productivity/Networking/Web/Servers
Url:            http://0pointer.de/lennart/projects/mod_dnssd/
Source:         %{_name}-%{version}.tar.bz2
# PATCH-FIX-OPENSUSE apache2-mod_dnssd-apxs2-prefork.patch
Patch0:         apache2-mod_dnssd-apxs2-prefork.patch
BuildRequires:  apache-rpm-macros
BuildRequires:  apache2-devel
BuildRequires:  autoconf
BuildRequires:  libapr1-devel
BuildRequires:  pkg-config
Requires:       %{apache_mmn}
Requires:       %{apache_suse_maintenance_mmn}
Supplements:    packageand(apache2-prefork:gnome-user-share)
Supplements:    packageand(apache2-worker:gnome-user-share)
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%if 0%{?suse_version} > 1020
BuildRequires:  libavahi-devel
%else
BuildRequires:  avahi-devel
%endif

%description
mod_dnssd is an Apache HTTPD module which adds Zeroconf support via
DNS-SD using Avahi.

%prep
%setup -q -n %{_name}-%{version}
%patch0 -p1

%build
%if "%{apache_branch}" == "2.4"
sed -i 's/unixd_setup_child/ap_&/' src/mod_dnssd.c
%endif
%configure \
	--disable-lynx
make %{?_smp_mflags}

%install
# make install can't work, as apxs -i apparently does not like redirection
mkdir -p %{buildroot}/%{apache_libexecdir}
cp -p src/.libs/%{_name}.so %{buildroot}/%{apache_libexecdir}

%files
%defattr(-,root,root)
%doc README LICENSE
%dir %{apache_libexecdir}
%{apache_libexecdir}/%{_name}.so

%changelog
* Thu Jul 16 2015 pgajdos@suse.com
- Requries: %%{apache_suse_maintenance_mmn}
  This will pull this module to the update (in released distribution)
  when apache maintainer thinks it is good (due api/abi changes).
* Fri Oct 31 2014 pgajdos@suse.com
- call spec-cleaner
- use apache rpm macros
* Wed Oct 15 2014 pgajdos@suse.com
- fixed loading for apache 2.4 [bnc#850825]
* Tue Dec 20 2011 coolo@suse.com
- add autoconf as buildrequire to avoid implicit dependency
* Sat Sep 17 2011 jengelh@medozas.de
- Remove redundant tags/sections from specfile
- Use %%_smp_mflags for parallel build
* Tue May 19 2009 vuntz@novell.com
- Add Supplements for gnome-user-share and
  {apache2-prefork,apache2-worker} since gnome-user-share requires
  this apache module to have webdav file sharing.
* Tue May 19 2009 dominique-obs@leuenberger.net
- Cleanup of the specfile.
- --disable-lynx to remove the lynx BuildRequires.
* Tue May 12 2009 dominique-obs@leuenberger.net
-  Initial package during Community Week 1
